# TODO, sometime, maybe:
# - libstk:  http://www.libstk.org/

%define		libname	libxine1
%define		libwin32 %{_libdir}/win32
%define		vdrver 0.7.8

Summary: 	Xine library
Name: 		xine-lib
Version: 	1.1.2
Release: 	4%{?dist}
License: 	GPL
Group:		System Environment/Libraries
URL: 		http://xinehq.de/
Source0: 	http://download.sourceforge.net/xine/%{name}-%{version}.tar.bz2
Patch0:		%{name}-dxropts.patch
Patch1:		xine-lib-1.1.1-configure-no-mcpu-march.patch
Patch2:		http://www.youmustbejoking.demon.co.uk/patches/vdr-xine_0.7.9_xine-lib_1.1.2.patch.gz
Patch3:		xine-lib-1.1.2-CVE-2006-2200.patch
Patch6:		xine-lib-1.1.1-deepbind-939.patch
Patch7:		xine-lib-1.1.1-multilib-devel.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libX11-devel libogg-devel libvorbis-devel libmng-devel
BuildRequires:	esound-devel SDL-devel speex-devel libtheora-devel pkgconfig
BuildRequires:	flac-devel gnome-vfs2-devel arts-devel aalib-devel >= 1.4
BuildRequires:	xvidcore-devel libmodplug-devel alsa-lib-devel >= 0.9.0
BuildRequires:	libcdio-devel vcdimager-devel >= 0.7.23
BuildRequires:	libtool >= 1.4.0 /usr/bin/automake-1.9 samba-common
BuildRequires:	ffmpeg-devel >= 0.4.9-0.21.20060407 libGLU-devel
BuildRequires:	libXv-devel freetype-devel libXinerama-devel libXvMC-devel
BuildRequires:	ImageMagick-devel >= 6.2.4.6-1
Requires:	vcdimager >= 0.7.23
Provides:	%{name}(vdr) = %{vdrver}
Provides:	libxine = %{version}

%package devel
Summary:	Xine library development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig zlib-devel
Requires:	%{name}(vdr) = %{vdrver}
Provides:	%{name}-devel(vdr) = %{vdrver}
Provides:       libxine-devel = %{version}

# --------------------------------------------------------------------

%description
This package contains Xine library. Xine is a free multimedia
player. It plays back CDs, DVDs, and VCDs. It also decodes multimedia
files like AVI, MOV, WMV, and MP3 from local disk drives, and displays
multimedia streamed over the Internet. It interprets many of the most
common multimedia formats available - and some of the most uncommon
formats, too.

%description devel
This package contains development files for the xine-lib.

# --------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0 -b .dxropts
%patch1 -p0 -b .nomcpu
%patch2 -p1 -b .vdr
# Needed at least when compiling with external ffmpeg, #939.
%patch3 -p1 -b .CVE-2006-2200
%patch6 -p1 -b .deepbind
%patch7 -p0 -b .multilib-devel

find . -name "*.[hc]" | xargs chmod -c -x

aclocal-1.9 -I m4
libtoolize --force
autoheader
automake-1.9 --gnu --add-missing
autoconf

# Avoid standard rpaths on lib64 archs:
sed -i -e 's|"/lib /usr/lib\b|"/%{_lib} %{_libdir}|' configure

# --------------------------------------------------------------------

%build
%configure --disable-dependency-tracking \
	--with-xv-path=%{_libdir} \
	--with-w32-path=%{libwin32} \
	--with-external-ffmpeg \
	--enable-ipv6 \
	--enable-directfb \
	--disable-rte \
	--disable-libfame
make %{?_smp_mflags}

# --------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT __docs
export SED=%{__sed}
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang libxine1
cp -pR $RPM_BUILD_ROOT%{_docdir}/xine __docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/xine

# Removing useless files
rm -Rf $RPM_BUILD_ROOT%{_libdir}/libxine.la \
	__docs/README __docs/README.{freebsd,irix,solaris}

# Directory for win32 dlls
mkdir -p $RPM_BUILD_ROOT%{libwin32}

# --------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f libxine1.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING CREDITS ChangeLog* README TODO __docs/README.* __docs/faq
%dir %{libwin32}
%{_datadir}/xine
%{_libdir}/libxine.so.*
%{_libdir}/xine
%{_mandir}/man5/xine.5*

%files devel
%defattr(-,root,root,-)
%doc __docs/hackersguide/*
%{_bindir}/xine-config
%{_datadir}/aclocal/xine.m4
%{_includedir}/xine.h
%{_includedir}/xine/
%{_libdir}/libxine.so
%{_libdir}/pkgconfig/libxine.pc
%{_mandir}/man1/xine-config.1*

# --------------------------------------------------------------------

%changelog
* Fri Jul 14 2006 Rafal Kwasny <rkwasny@aurox.org> - 1.1.2-4
- merge upstream changes

* Tue May 30 2006 Rafal Kwasny <rkwasny@aurox.org> - 1.1.1-10
- added Provides to match Aurox version

* Fri May 26 2006 Aurox Core Team <act@aurox.org>
- Auto rebuild for Aurox 12.0

* Mon Apr 24 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.1.1-9
- Fix FAAD/ffmpeg ELF symbol resolution (#939, Nicholas Miell).

* Sun Apr 23 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.1.1-8
- Fix linking the ffmpeg decode plugin with libpostproc (#895 c13).
- Cosmetic tweaks to appease rpmlint.

* Sun Apr  9 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.1.1-7
- Rebuild for new ffmpeg.

* Sun Apr  2 2006 David Woodhouse <dwmw2@infradead.org> - 1.1.1-6
- Prevent gcc from optimising away the 'constants' array in mpeg2
  altivec code -- which still isn't very sane, but it's safe for 
  gcc 4.1 now at least.

* Mon Mar 27 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.1.1-5
- Update VDR patch set to Darren Salt's 0.7.8 kit, fixes #780.

* Thu Mar 16 2006 Dams <anvil[AT]livna.org> - 1.1.1-4.fc5
- Removed hardcoded libdvdcss runtime requirement

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Mon Jan  9 2006 Dams <anvil[AT]livna.org> - 1.1.1-0.lvn.3
- Requires:libdvdcss

* Mon Jan  2 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.1.1-0.lvn.2
- Really drop format string patch.
- Bump required ffmpeg-devel version.
- Use automake 1.9 and follow upstream autogen.sh more closely.
- Re-enable xvmc and xxmc.
- Don't ship static libraries.
- Drop pre-FC5 workarounds and rpmbuild conditionals.

* Mon Jan  2 2006 Xavier Bachelot <xb_ml AT kelkoo DOT net> 1.1.1-0.lvn.1
- Updated to 1.1.1
- Updated no mcpu patch
- Updated vdr patch
- Disabled patch#3 (not needed anymore)

* Wed Dec 14 2005 Adrian Reber <adrian@lisas.de> - 1.1.0-0.lvn.9
- changes for modular X

* Mon Nov 28 2005 Dams <anvil[AT]livna.org> - 1.1.0-0.lvn.8
- Rebuilt against new directfb

* Wed Nov 16 2005 Dams <anvil[AT]livna.org> - 1.1.0-0.lvn.7
- Applied patch from David Woodhouse to disable optimized memcpy on 
  ppc arch

* Sat Oct  8 2005 Dams <anvil[AT]livna.org> - 0:1.1.0-0.lvn.6
- Added patch to fix CAN-2005-2967

* Thu Sep 29 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.1.0-0.lvn.5
- Clean up obsolete pre-FC3 support (CACA is now unconditionally enabled).
- Drop zero Epochs.

* Wed Sep 14 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1.0-0.lvn.4
- Enable Samba support.
- Require a recent enough vcdimager for the (new) VCD plugin.
- Enable vdr-xine patch by default, build with it for FC4+, add *(vdr)
  Provides/Requires.

* Tue Aug 16 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1.0-0.lvn.3
- Add patch required by vdr-xine 0.7.5, disabled by default for now.
  Rebuild using "--with vdr" to get it applied.
- Enable ImageMagick support.
- BR ffmpeg-devel, not ffmpeg.

* Thu Aug  4 2005 David Woodhouse <dwmw2@infradead.org> - 0:1.1.0-0.lvn.2
- Use external ffmpeg again. It has Altivec.

* Tue Aug  2 2005 Dams <anvil[AT]livna.org> - 0:1.1.0-0.lvn.1
- Updated to 1.1.0
- Fixed files section
- Using internal ffmpeg
- Dropped patch4
- Dropped patch3
- Dropped patch2

* Thu Jul 28 2005 Dams <anvil[AT]livna.org> - 0:1.0.1-0.lvn.11
- Rebuilt against new libcddb/libcdio

* Sat Jul 23 2005 Dams <anvil[AT]livna.org> - 0:1.0.1-0.lvn.10
- fixed patch4 application (-p0 -> -p1)	
- Replaced path-specified libGL(U) by the matching package name
- s/XFree86-devel/xorg-x11-devel/

* Sat Jul 23 2005 Dams <anvil[AT]livna.org> - 0:1.0.1-0.lvn.9
- Updated Patch4 from Marc Deslauriers (bug 497#c7)

* Mon Jul  4 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0.1-0.lvn.8
- Enable DirectFB by default, rebuild with "--without directfb" to disable.
- Clean up obsolete pre-FC2 support and -devel dependencies.

* Tue Jun 28 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0.1-0.lvn.7
- Drop (unneeded) rte support, make aalib support unconditional.

* Sat Apr 30 2005 Dams <anvil[AT]livna.org> - 0:1.0.1-0.lvn.6
- Another patch to fix gcc4 build

* Sat Apr 30 2005 Dams <anvil[AT]livna.org> - 0:1.0.1-0.lvn.5
- Merged changes from spec file stable branch

* Thu Apr 28 2005 Dams <anvil[AT]livna.org> - 0:1.0.1-0.lvn.4
- More gcc4 fixes

* Wed Apr 27 2005 Dams <anvil[AT]livna.org> - 0:1.0.1-0.lvn.3
- Real 1.0.1 tarball

* Tue Apr 26 2005 Dams <anvil[AT]livna.org> - 0:1.0.1-0.lvn.2
- Added patch to fix gcc4 build

* Tue Apr 26 2005 Dams <anvil[AT]livna.org> - 0:1.0.1-0.lvn.1
- Updated to 1.0.1

* Sun Apr 24 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0.0-0.lvn.4
- Build with CACA support, rebuild with "--without caca" to disable.

* Wed Dec 29 2004 Dams <anvil[AT]livna.org> - 0:1.0.0-0.lvn.3
- Rebuilt

* Tue Dec 28 2004 Dams <anvil[AT]livna.org> - 0:1.0.0-0.lvn.2
- automake --add-missing flag added

* Tue Dec 28 2004 Dams <anvil[AT]livna.org> - 0:1.0.0-0.lvn.1
- Updated to Final 1.0
- Stupid Dams made a reversed Patch2

* Fri Dec 24 2004 Dams <anvil[AT]livna.org> - 0:1.0.0-0.lvn.0.34.rc8
- Updated to rc8
- Updated glut detection patch

* Thu Dec 23 2004 Ville Skyttä <ville.skytta at iki.fi> 0:1.0.0-0.lvn.0.33.rc8
- Update to 1-rc8.

* Thu Nov 11 2004 Dams <anvil[AT]livna.org> - 0:1.0.0-0.lvn.0.33.rc7
- Updated to rc7
- Imported changes (glut/freeglut) and patches from package stable
  branch.

* Wed Sep 29 2004 Ville Skyttä <ville.skytta at iki.fi> 0:1.0.0-0.lvn.0.31.rc6a
- Use external libvcdinfo/libcdio.

* Thu Sep 23 2004 Ville Skyttä <ville.skytta at iki.fi> 0:1.0.0-0.lvn.0.30.rc6a
- Update to 1rc6a.
- Build with external ffmpeg.
- Make ALSA support unconditional.
- Disable dependency tracking to speed up the build.
- Include more docs.

* Sat Jul 17 2004 Ville Skyttä <ville.skytta at iki.fi> 0:1.0.0-0.lvn.0.30.rc5
- Build with theora by default, use "--without theora" to disable.
- Make GLUT support unconditional.
- Include modplug support.
- Conditionalize libFAME and RTE support and default both off.  They're
  used only with DXR3, and even with it, Xine's internal libavcodec is
  strongly recommended.  Use "--with fame" and/or "--with rte" to enable
  if you really want them.

* Tue Jul  6 2004 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.29.rc5
- Updated patch for glut detection
- Minor spec file enhancement
- Added conditional theora support (default disabled)

* Mon Jun 21 2004 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.28.rc5
- Updated to 1rc5

* Fri May 21 2004 Dams <anvil[AT]livna.org> - 0:1.0.0-0.lvn.0.27.rc4a
- Updated URL in Source0

* Fri May 14 2004 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.26.rc4a
- Updated to 1rc4a

* Sat May  8 2004 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.25.rc4
- Updated to rc4
- Added url to Source0
- Now xwinsys can be defined (default:XFree86) to fix BuildDeps
  (xorg-x11/XFree86)

* Thu Apr  8 2004 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.24.rc3c
- Updated to rc3c

* Thu Mar 18 2004 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.23.rc3b
- Updated to rc3b

* Sun Dec 28 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.22.rc3a
- Updated to rc3a

* Wed Dec 17 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.21.rc3
- Updated to 1rc3
- Patch for glut detection in configure

* Wed Dec 10 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.20.rc2
- owning libdir/win32

* Wed Dec 10 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.19.rc2
- s/fdr/lvn

* Wed Dec 10 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.19.rc2
- Alsa now default enabled

* Sat Nov 22 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.18.rc2
- Disabled fpic (bug #19)

* Sun Oct 26 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.17.rc2
- Updated to rc2
- Replaced exclude in files section by some rm in install section

* Wed Oct 15 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.16.rc1
- Enabled fpic configure option

* Mon Oct  6 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.15.rc1
- Rebuild

* Mon Oct  6 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.14.rc1
- Enabling ipv6 support

* Mon Oct  6 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.13.rc1
- Updated to rc1
- Updated patch1

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.12.rc0a
- Removed comment after scriptlets
- alsa and directfb are default-disabled

* Sat Aug 16 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.11.rc0a
- Package is now alsa-lib and speex dependent

* Tue Aug  5 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.10.rc0a
- Updated to rc0a
- Droped Patch1
- Fixed files section

* Tue Jul 22 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.9.beta12
- Forcing automake version (1.6)
- Invoking libtoolize before autostuff
- Fixed build on severn

* Wed Jul 16 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.8.beta12
- Excluding static version of plugins

* Tue Jul 15 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.7.beta12
- exporting SED=__sed seems to fix build to rh80

* Tue Jul  8 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.6.beta12
- Applied modifs from Ville Skyttä

* Mon Jul  7 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.5.beta12
- Removed URL in Source0
- Patch for configure not to set mcpu/march

* Sun Jul  6 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.5.beta12
- Removed not needed post/postun scriplets for devel package
- Package own more directories now.
- Added Requires:pkgconfig for devel package

* Mon May 12 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.4.beta12
- Updated to beta12
- buildroot -> RPM_BUILD_ROOT
- Enabled static library building
- Exclude ".la" files in plugin directory

* Tue Apr 29 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.4.beta11
- Updated to beta11
- Added missing BuildRequires for flac-devel, bison, gettext

* Wed Apr  9 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.3.beta10
- Updated to beta10

* Fri Apr  4 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.2.beta9
- Added URL in Source0

* Wed Apr  3 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.1.beta9
- Initial build.
